/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * HarvestFilter
 */

public class HarvestFilter {
  @JsonProperty("description")
  private String description = null;

  @JsonProperty("key")
  private String key = null;

  @JsonProperty("label")
  private String label = null;

  @JsonProperty("type")
  private String type = null;

  public HarvestFilter description(String description) {
    this.description = description;
    return this;
  }

   /**
   * The filter details
   * @return description
  **/
  @ApiModelProperty(value = "The filter details")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public HarvestFilter key(String key) {
    this.key = key;
    return this;
  }

   /**
   * The filter key
   * @return key
  **/
  @ApiModelProperty(value = "The filter key")
  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public HarvestFilter label(String label) {
    this.label = label;
    return this;
  }

   /**
   * A localized human-readable label
   * @return label
  **/
  @ApiModelProperty(value = "A localized human-readable label")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public HarvestFilter type(String type) {
    this.type = type;
    return this;
  }

   /**
   * The filter expected type
   * @return type
  **/
  @ApiModelProperty(value = "The filter expected type")
  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    HarvestFilter harvestFilter = (HarvestFilter) o;
    return Objects.equals(this.description, harvestFilter.description) &&
        Objects.equals(this.key, harvestFilter.key) &&
        Objects.equals(this.label, harvestFilter.label) &&
        Objects.equals(this.type, harvestFilter.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(description, key, label, type);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HarvestFilter {\n");

    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    key: ").append(toIndentedString(key)).append("\n");
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

